Create a Post
cancel
Showing results for 
Search instead for 
Did you mean: 
Constantin_Pop
Contributor

R80.30 upgrade fails when admin user is disabled

Hi all,

  just a heads-up: I've had about eight R80.30 upgrades failing and found the installer for the new version has a dependency on the "admin" user account.

If this account is disabled the update would fail and if I enable the account and retry it works fine.

Install Failed (Reason: Failed during post install process. Failed to execute: /bin/bash -x /mnt/fcd/post.sh upgrade /mnt/fcd

3 Replies
PhoneBoy
Admin
Admin

0 Kudos
Constantin_Pop
Contributor

I don't recall seeing that sk but that's exactly how I normally do it for years now and never had an issue with it and updates until now.
Updated using GAiA clish and CPUSE installer.
0 Kudos
Arik_Ovtracht
Employee
Employee

Hi,

Upgrading to certain versions (R80.10, R80.20 and R80.30) indeed requires an active user named 'admin'. It is only required for the upgrade itself, you can later disable/remove it.

We have removed this limitation in R80.40, and it now only applies to clean installation, not to upgrade.

For more information, see sk156633.

 

0 Kudos